- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Video\CustomFilter

class CustomFilter implements VideoFilterInterface

## Methods

| __construct(string $filter, int $priority) A custom filter, useful if you want to build complex filters |
integer | getPriority() Returns the priority of the filter. |
array | apply(Video $video, VideoInterface $format) Applies the filter on the the Video media given an format. |

## Details

###
at line 29
`public __construct(string $filter, int $priority)`

A custom filter, useful if you want to build complex filters

#### Parameters

string | $filter |
int | $priority |

###
at line 38
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 46
`public array apply(Video $video, VideoInterface $format)`

Applies the filter on the the Video media given an format.

#### Parameters

Video | $video |
VideoInterface | $format |

#### Return Value

array | An array of arguments